.hero-main {
    position: relative;
    overflow: visible; 
    background-size: cover;
    background-position: center;

    width: 100%;
    display: flex;
    align-items: center;
    color: #fff;
    padding: 0rem 1.5rem 0 1.5rem;
    z-index: 1;
}

.hero-video-wrapper {
    position: absolute;
    top: 0; left: 0; width: 100%; height: 100%;
    z-index: -2;
    padding: 0rem 1.5rem 0 1.5rem;
}

.hero-video {
    width: 100%; height: 100%; object-fit: cover;
}

.hero-container{
    padding: 7.25rem 3.1875rem 7.25rem 3.1875rem; 
	background: rgba(41, 41, 41, 0.5);
    min-height: calc(100svh - 8rem);
    width: 100%;
}


.hero-container .hero__content{
    position: relative;
    z-index: 2;
    width: 100%;
}

.main-title{
    text-transform: uppercase;
    text-align: end;
    text-wrap: nowrap;
}

.title-block{
    justify-content: flex-end;
    align-items: center;
    gap: 2.1875rem;
}
.title-block svg{
    stroke: var(--bi-white);
}
.hero__content .bottom{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 7.5rem;
    margin-top: 3.1875rem;
	margin-right: 12rem;
}

.desc{
    font-family: "Manrope";
    letter-spacing: -0.05em;
    line-height: 120%;
}

.circle-btn {
  position: relative;
  display: inline-block;
  width: 15.625rem; 
  height: 15.625rem;
  text-decoration: none;
}

.outline-circle, .main-circle {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: all 0.6s cubic-bezier(0.4, 0, 0.2, 1);
}

.outline-circle {
  border: 1px solid rgba(247, 245, 243, 0.5);
  left: 2.5rem;
}

.main-circle {
  background: var(--bi-white);
  color: var(--bi-black);
  text-align: center;
  padding: 20px;
  transform: rotate(-6deg);
  z-index: 2;
}

.circle-btn:hover .main-circle {
  transform: translateX(2.5rem) rotate(0deg);
}


@media (max-width: 959px) {
    .hero-main {
        position: relative;
        overflow: visible; 
        background-size: cover;
        background-position: center;

        width: 100%;
		max-width: 100%;
        overflow: hidden;
        display: flex;
        align-items: center;
        color: #fff;
        height: calc(100svh - 8rem);
		overflow: hidden;
    }
	
	.hero-video {
		width: 100%;
		height: 100%;
		object-fit: cover;
        object-position: top center;
	}
	
	.hero-video-wrapper{
		width: 100%;
		height: 100%;
		
		padding: 0 1.5rem 0 1.5rem;
	}
    .hero-container{
        padding: 6.25rem 1.875rem 6.25rem 1.875rem; 
    }
    .hero-container .hero__content{
        flex-direction: column;
        justify-content: flex-start;
        align-items: flex-start;
    }

    .hero__content .text-abs{
        display: none;
    }
    .hero__content .main-title{
        text-align: start;
        text-wrap: wrap;
    }
    .hero__content .title-block{
        justify-content: flex-start;
        align-items: flex-start;
        gap: 0;
        flex-direction: column;
    }
    .hero__content .title-block svg{
        display: none;
    }
    .hero__content .bottom{
        justify-content: center;
        align-items: start;
        flex-direction: column;
        gap: 0.9375rem;
        margin-top: 2.5rem;
		margin-right: 0;
    }
    .hero__content .right-text{
        align-self: end;
    }
    .circle-btn {
        width: 12.5rem; 
        height: 12.5rem;
        align-self: end;
    }
    .outline-circle {
        left: 1rem;
    }

    .circle-btn:hover .main-circle {
        transform: translateX(1rem) rotate(0deg);
    }
    .hero__content .bottom p{
        opacity: 0.7;
    }

}
